I'm working on a fillet script in python grasshopper, everything works fine as long as input polylines are in item structure, it gives eror when i set them in datatree structure this eror pops up:
Runtime error (TypeErrorException): Parameter must be a Guid or string representing a Guid
var te = RhinoDoc.ActiveDoc.Objects.AddText(content, pl, size, face, bold, italics); Rhino.DocObjects.TextObject txt = RhinoDoc.ActiveDoc.Objects.Find(te) as Rhino.DocObjects.TextObject;
if(txt != null) { var tt = txt.Geometry as Rhino.Geometry.TextEntity; A = tt.Explode(); }
I figured that out, now I'm looking for way to convert text to one single curve (to save time for laser cutting). At the moment i get the out line of text as curve which is great but still time consuming.
Do you any easy and basic way to check if a double surface cab get converted into cylinder surface? Basically for fabrication to check if I can reduce the cost by converting few double curved panel and get more or less the same result!
Hi Anders, thanks for the reply. I checked that already it says if it is cylinder but I'm looking for a way to find out an easy way to pre-rationalize sub-surfaces which are not cylinder but close to cylinder so I can convert them to cylinder surface later! if it make any sense to you . . .
Thomas Bildsøe
Sep 24, 2009
hamia Aghaiemeybodi
Hi anders,
I'm working on a fillet script in python grasshopper, everything works fine as long as input polylines are in item structure, it gives eror when i set them in datatree structure this eror pops up:
Runtime error (TypeErrorException): Parameter must be a Guid or string representing a Guid
any idea?!
fillet.gh
Feb 28, 2013
hamia Aghaiemeybodi
Just fixed the problem, Thanks anyway.
There was a coding mistake from my side :) ...
Feb 28, 2013
hamia Aghaiemeybodi
Hi anders,
I'm trying to split curves in python and i get this eror:
Runtime error (TypeErrorException): Parameter must be a Guid or string representing a Guid
Im sure its Guid!!!
here is the simple script:
import rhinoscriptsyntax as rs
import Rhino as rc
curve01=rs.coercegeometry(x)
curve01.Domain = rc.Geometry.Interval(0,1)
print (rs.CurveDomain(curve01))
a=rs.SplitCurve(curve01,y)
ay idea!
Thanks.
Mar 4, 2013
hamia Aghaiemeybodi
Hej man,
I found it again, seems like to solve my problem i just need to post my question on your wall :D . ..
cheers...
Mar 4, 2013
hamia Aghaiemeybodi
Hi.
Of course. Thanks for reply. I'm using conditional check. It helps more and as you said easier to figure out where the problem is.
Thanks,
Mar 7, 2013
hamia Aghaiemeybodi
Hi Anders;
Do you know how can i convert this c# code into python? The goal is to creat single curve text for laser cut:
RhinoDoc.ActiveDoc.Objects.AddText(content, pl, size, face, bold, italics);Rhino.DocObjects.TextObject txt = RhinoDoc.ActiveDoc.Objects.Find(te) as Rhino.DocObjects.TextObject;
thanks . . .
Jan 28, 2014
hamia Aghaiemeybodi
here is the complete one:
if(!string.IsNullOrEmpty(face) && size > 0 && !string.IsNullOrEmpty(content) &&
pl.IsValid)
{
var te = RhinoDoc.ActiveDoc.Objects.AddText(content, pl, size, face, bold, italics);
Rhino.DocObjects.TextObject txt = RhinoDoc.ActiveDoc.Objects.Find(te) as Rhino.DocObjects.TextObject;
if(txt != null)
{
var tt = txt.Geometry as Rhino.Geometry.TextEntity;
A = tt.Explode();
}
RhinoDoc.ActiveDoc.Objects.Delete(te, true);
Jan 28, 2014
hamia Aghaiemeybodi
Many thanks Anders;
I figured that out, now I'm looking for way to convert text to one single curve (to save time for laser cutting). At the moment i get the out line of text as curve which is great but still time consuming.
Regards,
H/
Jan 29, 2014
hamia Aghaiemeybodi
Hi Anders;
Do you any easy and basic way to check if a double surface cab get converted into cylinder surface? Basically for fabrication to check if I can reduce the cost by converting few double curved panel and get more or less the same result!
many thanks!
Oct 10, 2014
hamia Aghaiemeybodi
Hi Anders, thanks for the reply. I checked that already it says if it is cylinder but I'm looking for a way to find out an easy way to pre-rationalize sub-surfaces which are not cylinder but close to cylinder so I can convert them to cylinder surface later! if it make any sense to you . . .
Oct 17, 2014